Page MenuHomePhabricator

Deploy discovery-analytics with scap3
Closed, ResolvedPublic

Details

Related Gerrit Patches:
wikimedia/discovery/analytics : masterAdd scap3 configuration
operations/puppet : productionDeploy discovery-analytics with scap3

Event Timeline

Gehel added a subscriber: Gehel.Mar 10 2016, 11:02 AM
demon triaged this task as Normal priority.Sep 1 2017, 5:40 PM

Let's do it :)

This was mentioned in Scrum-of-scrums. Who would actually do the work to get it migrated?

Change 377914 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[wikimedia/discovery/analytics@master] Add scap3 configuration

https://gerrit.wikimedia.org/r/377914

Change 377916 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/puppet@production] Deploy discovery-analytics with scap3

https://gerrit.wikimedia.org/r/377916

This was mentioned in Scrum-of-scrums. Who would actually do the work to get it migrated?

I talked about this a little with @Gehel this morning. I wrote the patches to match how this repository was deployed by trebuchet with scap3. Now those patches will need to be reviewed, merged, and deployed.

@Gehel do you have any time to run through the steps in: https://wikitech.wikimedia.org/wiki/Scap3/Migration_Guide#First_Deployment to ensure that the scap configuration and deployment all work as expected?

Change 377914 merged by jenkins-bot:
[wikimedia/discovery/analytics@master] Add scap3 configuration

https://gerrit.wikimedia.org/r/377914

Change 377916 merged by Gehel:
[operations/puppet@production] Deploy discovery-analytics with scap3

https://gerrit.wikimedia.org/r/377916

thcipriani closed this task as Resolved.Sep 14 2017, 5:19 PM
thcipriani claimed this task.

Deployed! Thanks @Gehel !

Gehel added a subscriber: mpopov.

deployment completed. @mpopov do you want to check that everything is working as expected?